Subject: Re: [ Creed Discuss ] Default
From: "Kimberly Reid" <[email-masked]>
To: [email-masked]
Date: Tue, 16 Jul 2002 20:46:02 -0500

(Joe gave y'all the set list, right?) Let me just say that Scott seemed more physically rambunctious AND limber last night than he was at the New Orleans show in January (and any concert footage that I have ever seen on television).....he seems to be recovering REMARKABLY well from the back injuries.  He came out soaking with sweat (wearing a white wife beater, black leather Harley boots and those brown leather pants--which I am growing less and less fond of each time I see them, BTW) and apparently out of breath before the first song began.  Almost every instrumental intro was about four times as long as they were in January, which I attributed, again, to the sweltering temperature and extremely high humidity in the outdoor venue and him trying desperately to catch his breath and cool down a little---one time he must have held a lot of water (from one of the bottles he was drinking out of and pouring over his head) in his mouth, because he SPIT it out right at the front of the stage and it looked like he VOMITED plain water.  He said something including the line "that's f____n' life" when he was doing the lead in to "Weathered."  Mark, on the other hand, seemed quite cool and collected as always, but looked really good (I stood RIGHT in front of him on the rail) and the show was awesome.  Personally, though, I prefer the indoor venue when the heat index is above 100 degrees.  I got my Stapp eye contact (even one of those points and a "thank you" mouthing) and PLENTY of the pheromone sweat as he "banged his head" less than five feet from me.

I also got to meet Paul McCoy of 12 Stones---he gave me an autographed CD, a much-needed icy Coke and a couple of really nice (albeit wet and sweaty) hugs......  I told him that I was on a discussion list with Jen (I couldn't pronounce your last name, Jen, but I just said "HESSEN-something" and described you and he seemed to know to whom I was referring) and he said she was a "sweet girl."

Oh, and I won the Prize Package from 107.9 "The Link" (one of the Charlotte radio stations sponsoring the show) which was touted as containing "up to $200 cash", but contained only $50 bucks.  Scott did an interview with them (Matt and Ramona) which they played on the air before the concert and Scott "claimed" to be buying land on Lake Jackson (within thirty miles of the venue last night) and was going to "grow old" there.

----Original Message Follows----

From: "Joe Earles"

She's at a CREED CONCERT at the moment getting baptized with Stapp sweat...

----- Original Message -----

From: Sandy Carter

Jeez, I'm disappointed. I was expecting Kimberly to jump in and enlighten us as to what IT is to her.

Send and receive Hotmail on your mobile device: Click Here
To unsubscribe or change your preferences for the Creed-Discuss list, visit: http://www.debbir.com/lists/Creed-discuss.htm